Home / NAT, ICE, and the ALG problem / STUN server-reflexive addresses
STUN server-reflexive addresses
STUN, RFC 8489, lets a client learn the address a server sees. It obsoletes RFC 5389.
Learn in 5 minutes
- State that RFC 8489 obsoletes RFC 5389 and where status is decided
- Describe a Binding request as a way to learn a server-reflexive address
- Keep STUN separate from a SIP registrar
Visual
The reflexive address is what STUN observed. It is not a SIP Contact by itself.
Worked example
Separate STUN text from SIP The capture has a STUN note and a SIP 200 OK. Only one of them is a Binding result.
- Press Extract SIP.
- Confirm the SIP message is the 200 OK.
- Read the STUN lines that the extractor will not treat as SIP.
Fault
A Binding success is logged and the phone is marked registered. No SIP REGISTER occurred.
RFC 8489 is STUN. SIP registration is still REGISTER, authenticated under RFC 3261.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
E911 / emergency calling Location has to ride with the call. RFC 6881 is the BCP, RFC 6442 carries location in SIP, and the FCC MLTS page states Kari’s Law and RAY BAUM’s Act obligations for multi-line systems.
Sources and go deeper
- RFC 8489 — last checked 2026-10
- RFC 8445 — last checked 2026-10
- RFC 3261 §10 — last checked 2026-10